协作 : Cisco Unified Web Interaction Manager

Cisco Unified Web and E-Mail Interaction Manager 版本 4.2(5):无法加密数据库密码

2016 年 10 月 24 日 - 机器翻译
其他版本: PDFpdf | 英语 (2015 年 8 月 22 日) | 反馈


目录


简介

在升级到Cisco Unified Web Interaction Manager 4.2.(5)之后,数据库升级的数据库密码不能被加密。

先决条件

要求

Cisco 建议您了解以下主题:

使用的组件

本文档中的信息是基于Cisco Unified Web and E-Mail Interaction Manager版本4.2(5)的。

本文档中的信息都是基于特定实验室环境中的设备编写的。本文档中使用的所有设备最初均采用原始(默认)配置。如果您使用的是真实网络,请确保您已经了解所有命令的潜在影响。

规则

有关文档规则的详细信息,请参阅 Cisco 技术提示规则

问题

在升级Cisco Unified Web and E-Mail Interaction Manager 版本从4.2.4到4.2.5以后,密码加密格式总是不正确的。该问题出现是因为使用的加密/解密工具类是较早版本。

此问题被记录在bug:Cisco Bug ID CSCsw37609 (仅限注册用户)。

解决方案

密码的加密从4.2.5版本注释的74页是不正确的。例如,对eGActiveDB,密码应该是此格式:C2AC5240C2A6C399C2B8C39FC2AC4943.然而,加密出现为***************加密的字符串- > 3644334443333936433339364333413243333841433 339334332413943323933。

为了解决此问题,您需要使用新版本的加密/解密工具类。

此问题在Cisco Unified Web and E-Mail Interaction Manager版本4.2(5a)中修复。为了解决此问题,请从Cisco下载(仅限注册用户)下载4.2(5a)。


相关信息


Document ID: 109716